function [] = point_display(obj,Utot)

%Reconstruction des temporels dans la matrice Ut(nt,nz) --- Quasi-Periodic case
H=obj.H;
DHp1 = 2*H+1;

if strcmp(obj.type,'HBQ')
    [Ztot,omega,lambda]=obj.get_Ztot(Utot);
    T=2*pi/omega;
    temps=0:T/(4*H+1):T;
    nt=length(temps);
    
    VectCos=zeros(nt,H);
    VectSin=zeros(nt,H);
    for i=1:H
        VectCos(:,i) = cos(i*omega*temps)';
        VectSin(:,i) = sin(i*omega*temps)';
    end
    
    MAT=[ ones(nt,1) , VectCos , VectSin ];  % MAT(nt,2*H+1)
    Ut=MAT*Ztot;  % Ut(nt,nz)
    
else
    [Ztot,omega1,omega2,lambda]=obj.get_Ztot(Utot);
    Tmax=2*pi/omega1 + 2*pi/omega2;
    nb = 10;
    temps=linspace(0,nb*Tmax,nb*200);
    nt=length(temps);
    
    Zcompl = obj.real_to_compl(Ztot);
    
    VectExp=zeros(nt,H*(DHp1+1));
    for k=1:H
        VectExp(:,k) = exp(1i*omega2*k*temps);
    end
    for l=1:H
        for k=-H:1:H
            VectExp(:,l*DHp1+k) = exp(1i*(l*omega1+k*omega2)*temps);
        end
    end
    MAT = [ones(nt,1) , VectExp];
    Ut = real(MAT*Zcompl);
end

figure(11);
plot(temps,Ut(:,1),'b',temps,Ut(:,3),'r')
title(['Time evolution of q_1 and q_2 with ' num2str(H) ' harmonics'],'Fontsize',16)
xlabel('time (s)');legend(['q_1'],['q_2'],'Location','SouthEast');grid on;

figure(12)
plot(Ut(:,1),Ut(:,3))

end
