function [] = point_display(obj,Utot)

%Reconstruction des temporels dans la matrice Ut(nt,nz) --- Quasi-Periodic case
H=obj.H;
DHp1 = 2*H+1;
[Ztot,omega1,omega2,lambda]=obj.get_Ztot(Utot);
Tmax=2*pi/omega1 + 2*pi/omega2;
nb = 10;
temps=linspace(0,nb*Tmax,nb*200);
nt=length(temps);

Zcompl = obj.real_to_compl(Ztot);

VectExp=zeros(nt,H*(DHp1+1));
for k=1:H
    VectExp(:,k) = exp(1i*omega2*k*temps);
end
for l=1:H
    for k=-H:1:H
        VectExp(:,l*DHp1+k) = exp(1i*(l*omega1+k*omega2)*temps);
    end
end
MAT = [ones(nt,1) , VectExp];
Ut = real(MAT*Zcompl);

figure(11);
plot(temps,Ut(:,1),'b',temps,Ut(:,2),'r')
title(['Time evolution of u and v with ' num2str(H) ' harmonics'],'Fontsize',16)
xlabel('time (s)');legend(['x'],['y'],'Location','SouthEast');grid on;

figure(12)
plot3(Ut(:,1),Ut(:,2),Ut(:,3))

end
